## geany-plugins 1.25+dfsg

=== debian/changelog ===
geany-plugins (1.25+dfsg-2build1) xenial; urgency=medium

  * No-change rebuild against libgit2 0.23.1-1

 -- Stefano Rivera <stefanor@ubuntu.com>  Wed, 28 Oct 2015 01:13:35 -0700

geany-plugins (1.25+dfsg-2) unstable; urgency=medium

  * add upstream patch to fix FTBFS with libgit2 0.23 (Closes: #798870)
  * add temporary dep on libpython2.7-dev for GeanyPy (Closes: #778552)

 -- Evgeni Golov <evgeni@debian.org>  Sun, 11 Oct 2015 13:46:35 +0200

geany-plugins (1.25+dfsg-1) unstable; urgency=medium

  * [bc2321a] Imported Upstream version 1.25+dfsg

 -- Evgeni Golov <evgeni@debian.org>  Sun, 12 Jul 2015 20:19:46 +0200

geany-plugins (1.25~20150705gitabc9808+dfsg-1) experimental; urgency=medium

  * [64bec0d] Imported Upstream version 1.25~20150705gitabc9808+dfsg
  * [952275d] make generation of dfsg tarballs more robust
  * [f9351d1] sort enable/disable plugins
  * [e1bf05d] update enable/disable for 1.25
  * [520af33] drop patches that were applied in 1.25
  * [a394e6a] bump build-depends on geany
  * [5b2b16d] add build-depends on libgit2-dev
  * [ac34b99] rename geany-plugin-gproject to geany-plugin-projectorganizer
  * [68aaa9b] add binary packages for automark, ctags, git-changebar and
    overview
  * [3104f37] update debian/copyright
  * [54026a8] Standards-Version: 3.9.6
  * [5f352a6] add new packages to geany-plugins metapackage

 -- Evgeni Golov <evgeni@debian.org>  Sun, 05 Jul 2015 19:51:07 +0200

geany-plugins (1.24+dfsg-5) unstable; urgency=medium

  * [a032a70] debugger: Fix crash with GDB 7.7.
    Thanks to Colomban Wendling <ban@herbesfolles.org>

 -- Evgeni Golov <evgeni@debian.org>  Wed, 22 Oct 2014 22:22:55 +0200

geany-plugins (1.24+dfsg-4) unstable; urgency=medium

  * [fd534c9] debugger: Fix internal EnvTree state after plugin reload.
    Thanks to Colomban Wendling <ban@herbesfolles.org>

 -- Evgeni Golov <evgeni@debian.org>  Tue, 21 Oct 2014 21:47:42 +0200

geany-plugins (1.24+dfsg-3) unstable; urgency=medium

  * [e23c57c] fix typo in geany-plugin-tableconvert description
    (Closes: #698167)
  * [9877b5e] debugger: fix "Attempt to unlock mutex that was not locked"
    (Closes: #763050)
  * [c58a5f1] addons: fix typos in the package description.
    Thanks to Pascal De Vuyst <pascal.devuyst@gmail.com> (Closes: #757471)

 -- Evgeni Golov <evgeni@debian.org>  Tue, 21 Oct 2014 21:20:53 +0200

=== debian/control ===
Source: geany-plugins
Section: devel
Priority: optional
Maintainer: Geany Packaging Team <pkg-geany-team@lists.alioth.debian.org>
Uploaders: Chow Loong Jin <hyperair@debian.org>, Evgeni Golov <evgeni@debian.org>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1~),
               dh-autoreconf (>= 4),
               autotools-dev,
               intltool (>= 0.35),
               geany (>= 1.25~),
               libgtk2.0-dev (>= 2.16),
               libglib2.0-dev (>= 2.18),
               libenchant-dev (>= 1.3),
               libgtkspell-dev,
               liblua5.1-dev,
               libctpl-dev (>= 0.3),
               python-docutils,
               libxml2-dev (>= 2.6.27),
               libsoup2.4-dev (>= 2.4.0),
               libwebkitgtk-dev (>= 1.1.18) | libwebkit-dev (>= 1.1.18),
               libgdk-pixbuf2.0-dev (>= 2.0),
               libgpgme11-dev,
               libvte-dev (>= 1:0.24),
               libwnck-dev (>= 2.10.0),
               libgconf2-dev (>= 2.6.0),
               libmarkdown2-dev,
               libgit2-dev,
               python-gtk2-dev,
               valac (>= 0.7.0)
Standards-Version: 3.9.6
Homepage: http://plugins.geany.org
Vcs-Git: git://anonscm.debian.org/pkg-geany/packages/geany-plugins.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-geany/packages/geany-plugins.git

Package: geany-plugins
Architecture: all
Enhances: geany
Depends: geany-plugin-addons (>= ${source:Version}),
         geany-plugin-autoclose (>= ${source:Version}),
         geany-plugin-automark (>= ${source:Version}),
         geany-plugin-codenav (>= ${source:Version}),
         geany-plugin-ctags (>= ${source:Version}),
         geany-plugin-debugger (>= ${source:Version}),
         geany-plugin-defineformat (>= ${source:Version}),
         geany-plugin-devhelp (>= ${source:Version}),
         geany-plugin-doc (>= ${source:Version}),
         geany-plugin-extrasel (>= ${source:Version}),
         geany-plugin-gendoc (>= ${source:Version}),
         geany-plugin-geniuspaste (>= ${source:Version}),
         geany-plugin-git-changebar (>= ${source:Version}),
         geany-plugin-insertnum (>= ${source:Version}),
         geany-plugin-latex (>= ${source:Version}),
         geany-plugin-lipsum (>= ${source:Version}),
         geany-plugin-lua (>= ${source:Version}),
         geany-plugin-macro (>= ${source:Version}),
         geany-plugin-miniscript (>= ${source:Version}),
         geany-plugin-multiterm (>= ${source:Version}),
         geany-plugin-numberedbookmarks (>= ${source:Version}),
         geany-plugin-overview (>= ${source:Version}),
         geany-plugin-pairtaghighlighter (>= ${source:Version}),
         geany-plugin-pg (>= ${source:Version}),
         geany-plugin-pohelper (>= ${source:Version}),
         geany-plugin-prj (>= ${source:Version}),
         geany-plugin-projectorganizer (>= ${source:Version}),
         geany-plugin-py (>= ${source:Version}),
         geany-plugin-sendmail (>= ${source:Version}),
         geany-plugin-tableconvert (>= ${source:Version}),
         geany-plugin-vc (>= ${source:Version}),
         geany-plugin-prettyprinter (>= ${source:Version}),
         geany-plugin-shiftcolumn (>= ${source:Version}),
         geany-plugin-spellcheck (>= ${source:Version}),
         geany-plugin-treebrowser (>= ${source:Version}),
         geany-plugin-updatechecker (>= ${source:Version}),
         geany-plugin-webhelper (>= ${source:Version}),
         geany-plugin-xmlsnippets (>= ${source:Version}),
         ${misc:Depends}
Description: set of plugins for Geany
 This is a metapackage which installs the whole set of plugins for Geany.
 .
 Geany is a fast and lightweight IDE.

Package: geany-plugins-common
Architecture: all
Depends: geany (>= ${geany:Version}~),
         ${misc:Depends}
Breaks: geany-plugin-addons (<< 0.19),
        geany-plugin-doc (<< 0.19),
        geany-plugin-gdb (<< 0.19),
        geany-plugin-latex (<< 0.19),
        geany-plugin-lipsum (<< 0.19),
        geany-plugin-lua (<< 0.19),
        geany-plugin-prj (<< 0.19),
        geany-plugin-sendmail (<< 0.19),
        geany-plugin-vc (<< 0.19),
        geany-plugin-shiftcolumn (<< 0.19),
        geany-plugin-spellcheck (<< 0.19)
Description: set of plugins for Geany (translations)
 This package contains translations for the Geany Plugins. You probably do not
 want to install this package directly, but instead install one of the other
 plugins packages.

Package: geany-plugin-addons
Enhances: geany
Architecture: any
Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: miscellanous plugins for Geany
 This plugin adds various small addons to Geany which aren't worth an
 individual plugin, but might still be useful for people.
  * DocList: This addon places a new item in the toolbar and when clicked
    offers a menu listing all open files plus the 'Close All' and 'Close Other
    Documents' menu items. This can be useful to quickly access open files and
    switch to them.
  * OpenURI: Adds 'Open URI' and 'Copy URI' menu items to the editor menu when
    the word under the cursor looks like a URI. 'Open URI' uses the browser
    command configured in Geany to open it.
  * Tasks: The tasks plugin goes through a file being edited and picks out
    lines with "TODO" or "FIXME" in them. It collects the text after those words
    and puts them in a new "Tasks" tab in the message window. Clicking on a task
    in that tab takes you to the line in the file where the task was defined.
  * Systray: Adds a status icon to the notification area (systray) and
    provides a simple popup menu with some basic actions. It can also be used
    to quickly show and hide the Geany main window.
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.

Package: geany-plugin-autoclose
Enhances: geany
Architecture: any
Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: auto-closing plugin for Geany
 This plugin enables auto-closing features. Auto-closing works while you typing
 and intellectually helps you to write code.
 .
 Features:
  * auto-close for: { }, [ ], ( ), " ", ' ', < >, ` `
  * customizeable auto-closing inside strings and comments
  * delete pairing character if you pressed BackSpace
  * suppress inserting one char twice (if you type "{}" you will get "{}", not
    "{}}")
  * enclose selected text into brackets instead of removing selection (select
    text and type "(" or ")" to enclose selection into "()")
  * keep selection when enclosing
  * for C-like languages enclosing selection into "{}" makes auto-indentation
    (select text and type "{" or "}" - text will be enclosed and indented)
  * enclosing in {} moves cursor to beginning (before "{" character)
  * for C-like languages to insert {}-block you do not need to select text
    precisely: plugin detects boundaries automatically, just ensure that
    selection covers lines you need to indent (works like TAB indentation)
  * fix auto-indent inside {} (makes full indent for this block)
  * auto-close curly bracket by pressing Enter
  * auto-close functions (``"sin(|" -> "sin(|);"``) with doubling suppression
    (for C/C++ languages only)
  * remove paring brace when pressing Shift+BackSpace, unindent {}-blocks
  * add semicolon after ``struct {|};`` and ``class {|};``
  * move cursor to closed char by pressing Tab
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.

Package: geany-plugin-automark
Enhances: geany
Architecture: any
Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: auto-mark plugin for Geany
 This is a simple plugin that highlights all words that match current word
 under cursor (see screenshot).
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.

Package: geany-plugin-codenav
Enhances: geany
Architecture: any
Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: code navigation plugin for Geany
 This plugin adds some facilities for navigating in code using Geany, making it
 possible to:
  * Switch between header and implementation
  * Go to a file by typing its name
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.

Package: geany-plugin-commander
Enhances: geany
Architecture: any
Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: command panel plugin for Geany
 This plugin adds a command panel to Geany for rapid access to any action.
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.

Package: geany-plugin-ctags
Enhances: geany
Architecture: any
Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
         exuberant-ctags,
         ${shlibs:Depends}, ${misc:Depends}
Description: ctags plugin for Geany
 GeanyCtags adds a simple support for generating and querying ctags files
 for a Geany project.
 .
 Even though Geany supports symbol definition searching by itself within the
 open files (and with a plugin support within the whole project), tag
 regeneration can become too slow for really big projects. This is why this
 plugin was created. It makes it possible to generate the tag file only once
 and just query it when searching for a particular symbol
 definition/declaration. This approach is fine for big projects where most
 of the codebase remains unchanged and the tag positions remain more or
 less static.
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.

Package: geany-plugin-debugger
Enhances: geany
Architecture: any
Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}, gdb (>= 7.7)
Description: debugger plugin for Geany
 Features:
  * Debugger panel
  * Setting target, environment variables and command line arguments
  * Breakpoints
  * Watches, autos
  * Debug terminal
  * Debugger messages window
  * Variables calltips while debugging
  * Saving debug session data in a Geany project (can be switched through
    settings)
  * Double or single panel modes
  * Hotkeys
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.

Package: geany-plugin-defineformat
Enhances: geany
Architecture: any
Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: on-the-fly #define prettyprinter plugin for Geany
 This plugin will help you to write multiline defines with aligned backslash.
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.

Package: geany-plugin-devhelp
Enhances: geany
Architecture: any
Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: DevHelp plugin for Geany
 This plugin embeds an API documentation browser and search functionality
 directly into Geany's user interface.
 .
 Devhelp is an API documentation browser mainly aimed at GNOME-related
 libraries, although there are Devhelp books for a wide range of library
 APIs. Check your package manager and/or Google and you should have no trouble
 finding books that can be viewed with Devhelp.
 .
 Geany is a small and lightweight integrated development environment using the
 GTK+ toolkit.

Package: geany-plugin-doc
Enhances: geany
Architecture: any
Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: documentation plugin for Geany
 Geanydoc is a plugin for the Geany IDE which is intended to be used to search

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildflags.mk

export LDFLAGS += -Wl,--as-needed -Wl,-z,defs

GEANY_VERSION = $(shell pkg-config --modversion geany)

override_dh_autoreconf:
	dh_autoreconf --as-needed

# specify libexecdir to avoid cascading geany-plugins directories in /usr/lib
override_dh_auto_configure:
	dh_auto_configure --				\
		--libexecdir='$${exec_prefix}/lib'	\
		--enable-addons				\
		--enable-autoclose			\
		--enable-automark			\
		--enable-codenav			\
		--enable-commander			\
		--enable-debugger			\
		--enable-defineformat			\
		--enable-devhelp			\
		--enable-geanyctags			\
		--enable-geanydoc			\
		--enable-geanyextrasel			\
		--enable-geanygendoc			\
		--enable-geanyinsertnum			\
		--enable-geanylatex			\
		--enable-geanylipsum			\
		--enable-geanylua			\
		--enable-geanymacro			\
		--enable-geanyminiscript		\
		--enable-geanynumberedbookmarks		\
		--enable-geanypg			\
		--enable-geanyprj			\
		--enable-geanypy			\
		--enable-geanysendmail			\
		--enable-geanyvc			\
		--enable-geniuspaste			\
		--enable-gitchangebar			\
		--enable-gtkspell			\
		--enable-largefile			\
		--enable-markdown			\
		--disable-peg-markdown			\
		--enable-multiterm			\
		--enable-overview			\
		--enable-pairtaghighlighter		\
		--enable-pohelper			\
		--enable-pretty_printer			\
		--enable-projectorganizer		\
		--enable-scope				\
		--enable-shiftcolumn			\
		--enable-spellcheck			\
		--enable-tableconvert			\
		--enable-treebrowser			\
		--enable-updatechecker			\
		--enable-webhelper			\
		--enable-xmlsnippets

# install separate ChangeLogs for each different plugin
override_dh_installchangelogs:
	for changelog in */ChangeLog; do \
		[ ! -s $$changelog ] && continue; \
		if [ $$changelog = po/ChangeLog ]; then \
			pkg=geany-plugins-common; \
		else \
			pkg=geany-plugin-$$(dirname $$changelog | sed -e's/^geany//'); \
		fi; \
		dh_installchangelogs \
			-p$$pkg \
			$$changelog; \
	done
	dh_installchangelogs

# add geany:Version substvar to debian/*.substvars
debian/dumpabiver: debian/dumpabiver.c
	$(CC) -o $@ $< $(shell pkg-config --cflags geany)

debian/abiversion.sh: debian/dumpabiver
	$< > $@

override_dh_gencontrol: debian/abiversion.sh
	. debian/abiversion.sh && \
	dh_gencontrol -- \
		"-Vgeany:Version=$(GEANY_VERSION)" \
		"-Vgeany:API=$${GEANY_ABI}" \
		"-Vgeany:ABI=$${GEANY_ABI}"

# Don't make shlibs (false positive on pretty-printer.so
override_dh_makeshlibs:

override_dh_install:
	find debian/tmp/ -name '*.pyc' -delete
	dh_install --list-missing

%:
	dh $@ --with=autoreconf --parallel

upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9a-z.~]+)(\+dfsg)?.*$$/\1/p')
dfsg_version = $(upstream_version)+dfsg
pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')

get-orig-source:
	uscan --noconf --force-download --rename --repack --download-current-version --destdir=.
	mkdir $(pkg)-$(dfsg_version)
	tar --directory="$(pkg)-$(dfsg_version)" --strip-components=1 -xzf $(pkg)_$(upstream_version).orig.tar.gz
	rm $(pkg)-$(dfsg_version)/waf
	GZIP="-9fn --rsyncable" tar -czf $(pkg)_$(dfsg_version).orig.tar.gz $(pkg)-$(dfsg_version)
	rm -rf $(pkg)-$(dfsg_version)

## geany-plugins 1.26+dfsg

=== wscript ===
# -*- coding: utf-8 -*-
#
# WAF build script for geany-plugins
#
# Copyright 2008-2010 Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# $Id$

"""
Waf build script for Geany Plugins.

If you want to add your plugin to this build system, simply put a file called
'wscript_build' into your plugin directory and add necessary code to build your
plugin or simply copy the wscript_build file from another plugin
and adjust the values.
If special configuration is necessary, e.g. checking for dependencies of
the plugin, create a file 'wscript_configure' and put the code into.


The code of this file itself loosely follows PEP 8 with some exceptions
(line width 100 characters and some other minor things).

Requires WAF 1.6.1 and Python 2.5 (or later).
"""

import os
import tempfile
from waflib import Logs, Scripting, Utils
from waflib.Tools import c_preproc
from waflib.Errors import ConfigurationError
from waflib.TaskGen import feature
from waflib.Tools.compiler_c import c_compiler
from build.wafutils import (
    add_define_to_env,
    add_to_env_and_define,
    check_cfg_cached,
    get_plugins,
    get_enabled_plugins,
    get_git_rev,
    install_docs,
    launch,
    load_intltool_if_available,
    set_lib_dir,
    setup_makefile,
    target_is_win32)


APPNAME = 'geany-plugins'
VERSION = '1.26'
LINGUAS_FILE = 'po/LINGUAS'

top = '.'
out = '_build_'


c_preproc.go_absolute = True
c_preproc.standard_includes = []


def configure(conf):

    conf.check_waf_version(mini='1.6.1')

    # a C compiler is the very minimum we need
    conf.load('compiler_c')

    # common for all plugins
    check_cfg_cached(conf,
                   package='gtk+-2.0',
                   atleast_version='2.16.0',
                   uselib_store='GTK',
                   mandatory=True,
                   args='--cflags --libs')
    check_cfg_cached(conf,
                   package='geany',
                   atleast_version='1.25',
                   uselib_store='GEANY',
                   mandatory=True,
                   args='--cflags --libs')

    set_lib_dir(conf)
    # GIT detection
    revision = get_git_rev(conf)
    conf.define('REVISION', revision, 1)
    # GTK/Geany versions
    geany_version = conf.check_cfg(modversion='geany') or 'Unknown'
    gtk_version = conf.check_cfg(modversion='gtk+-2.0') or 'Unknown'

    load_intltool_if_available(conf)
    setup_configuration_env(conf)

    # build plugin list
    enabled_plugins = get_enabled_plugins(conf)

    # execute plugin specific configuration code
    configure_plugins(conf, enabled_plugins)
    # now add the enabled_plugins to the env to remember them
    conf.env.append_value('enabled_plugins', enabled_plugins)

    setup_makefile(conf)
    conf.write_config_header('config.h')

    if conf.env['CC_NAME'] == 'gcc' and '-O' not in ''.join(conf.env['CFLAGS']):
        conf.env.append_value('CFLAGS', ['-O2'])
    # enable debug when compiling from VCS
    if revision is not None:
        conf.env.append_value('CFLAGS', '-g -DDEBUG'.split())  # -DGEANY_DISABLE_DEPRECATED

    # summary
    Logs.pprint('BLUE', 'Summary:')
    conf.msg('Install Geany Plugins ' + VERSION + ' in', conf.env['G_PREFIX'])
    conf.msg('Using GTK version', gtk_version)
    conf.msg('Using Geany version', geany_version)
    if revision is not None:
        conf.msg('Compiling Git revision', revision)
    conf.msg('Plugins to compile', ' '.join(enabled_plugins))
    plugins_with_missing_dependencies =conf.env['plugins_with_missing_dependencies']
    conf.msg('Plugins to skip due to missing dependencies', ' '.join(plugins_with_missing_dependencies))
    # deprecation warning
    _show_deprecation_warning(conf)


def _show_deprecation_warning(ctx):
    Logs.pprint(
        'RED',
        'The Waf build system is deprecated and will be removed in the removed in Geany 1.27. '
        'Please use the Autotools build system.')


def configure_plugins(conf, enabled_plugins):
    conf.env['plugins_with_missing_dependencies'] = []
    # we need to iterate over the plugin directories ourselves to be able
    # to catch plugin ConfigurationError's and remove the plugin in this case
    plugins = list(enabled_plugins)
    # iterate over a copy of the list as we remove items during iteration
    for plugin in plugins:
        try:
            # this calls the configure() functions of each plugin's wscript
            conf.recurse(plugin, mandatory=False)
        except ConfigurationError:
            enabled_plugins.remove(plugin)
            conf.env['plugins_with_missing_dependencies'].append(plugin)


def setup_configuration_env(conf):
    # Windows specials
    if target_is_win32(conf):
        if conf.env['PREFIX'].lower() == tempfile.gettempdir().lower():
            # overwrite default prefix on Windows (tempfile.gettempdir() is the Waf default)
            new_prefix = os.path.join(str(conf.root), '%s-%s' % (APPNAME, VERSION))
            add_to_env_and_define(conf, 'PREFIX', new_prefix, quote=True)
        conf.env['G_PREFIX'] = conf.env['PREFIX']
        # paths
        add_to_env_and_define(conf, 'PREFIX', '', quote=True)
        add_to_env_and_define(conf, 'LIBDIR', 'lib', quote=True)
        add_to_env_and_define(conf, 'LIBEXECDIR', '', quote=True)
        add_to_env_and_define(conf, 'DOCDIR', 'doc', quote=True)
        conf.define('LOCALEDIR', 'share/locale', 1)
        # overwrite LOCALEDIR to install message catalogues properly
        conf.env['LOCALEDIR'] = os.path.join(conf.env['G_PREFIX'], 'share/locale')
        # DATADIR is defined in objidl.h, so we remove it from config.h
        conf.undefine('DATADIR')
        add_to_env_and_define(conf, 'GEANYPLUGINS_DATADIR', 'share')
    else:
        prefix = conf.env['PREFIX']
        conf.env['G_PREFIX'] = conf.env['PREFIX']
        # DATADIR and LOCALEDIR are defined by the intltool tool
        # but they are not added to the environment, so we need to
        add_define_to_env(conf, 'DATADIR')
        add_define_to_env(conf, 'LOCALEDIR')
        conf.env['cshlib_PATTERN'] = '%s.so'
        doc_dir = '%s/doc/geany-plugins' % conf.env['DATADIR']
        conf.define('PREFIX', prefix, quote=True)
        add_to_env_and_define(conf, 'DOCDIR', doc_dir, quote=True)
        add_to_env_and_define(conf, 'GEANYPLUGINS_DATADIR', conf.env['DATADIR'], quote=True)
        conf.env['GEANYPLUGINS_DATADIR'] = conf.env['DATADIR']
    # common
    pkgdatadir = '%s/%s' % (conf.env['GEANYPLUGINS_DATADIR'], 'geany-plugins')
    pkglibdir = '%s/%s' % (conf.env['LIBDIR'], 'geany-plugins')
    pkgincludedir = '%s/%s' % (conf.env['G_PREFIX'], 'include')
    add_to_env_and_define(conf, 'INCLUDEDIR', pkgincludedir, quote=True)
    add_to_env_and_define(conf, 'DATAROOTDIR', conf.env['GEANYPLUGINS_DATADIR'], quote=True)
    add_to_env_and_define(conf, 'PKGDATADIR', pkgdatadir, quote=True)
    add_to_env_and_define(conf, 'PKGLIBDIR', pkglibdir, quote=True)
    add_to_env_and_define(conf, 'VERSION', VERSION, quote=True)
    add_to_env_and_define(conf, 'PACKAGE', APPNAME, quote=True)
    add_to_env_and_define(conf, 'GETTEXT_PACKAGE', APPNAME, quote=True)
    add_to_env_and_define(conf, 'ENABLE_NLS', 1)

    conf.env.append_value('CFLAGS', ['-DHAVE_CONFIG_H'])


def options(opt):
    # Disable MSVC detetion on win32: building Geany-Plugins with MSVC is currently not supported
    # If anyone wants to add support for building with MSVC, this hack should be removed.
    c_compiler['win32'] = ['gcc']

    opt.tool_options('compiler_cc')
    opt.tool_options('intltool')

    plugins = get_plugins()

    # execute plugin specific option code
    opt.recurse(plugins, mandatory=False)

    # Options
    opt.add_option('--no-scm', action='store_true', default=False,
        help='Disable SCM detection [default: No]', dest='no_scm')
    # Paths
    opt.add_option('--libdir', type='string', default='',
        help='object code libraries', dest='libdir')
    opt.add_option('--libexecdir', type='string', default='',
        help='program executables', dest='libexecdir')
    # Actions
    opt.add_option('--list-plugins', action='store_true', default=False,
        help='list plugins which can be built', dest='list_plugins')

    opt.add_option('--enable-plugins', action='store', default='',
        help='plugins to be built [plugins in CSV format, e.g. "%(1)s,%(2)s"]' %
        {'1': plugins[0], '2': plugins[1]}, dest='enable_plugins')
    opt.add_option('--skip-plugins', action='store', default='',
        help='plugins which should not be built, ignored when --enable-plugins is set, same format as --enable-plugins',
        dest='skip_plugins')


def build(bld):
    is_win32 = target_is_win32(bld)
    enabled_plugins = bld.env['enabled_plugins']
    bld.add_post_fun(_show_deprecation_warning)

    if bld.cmd == 'clean':
        remove_linguas_file()
    if bld.cmd in ('install', 'uninstall'):
        bld.add_post_fun(_post_install)

    if bld.env['INTLTOOL']:
        install_path = '${G_PREFIX}/share/locale' if is_win32 else '${LOCALEDIR}'
        bld.new_task_gen(
            features     = ['linguas', 'intltool_po'],
            podir        = 'po',
            appname      = APPNAME,
            install_path = install_path)

    # install additional docs
    install_docs(bld, '', ('README', 'NEWS'))
    if is_win32:
        bld.install_as('${G_PREFIX}/ReadMe.Windows.txt', 'README.windows')

    # execute plugin specific build code
    bld.recurse(enabled_plugins)


def _post_install(ctx):
    is_win32 = target_is_win32(ctx)
    if is_win32:
        return
    theme_dir = Utils.subst_vars('${DATADIR}/icons/hicolor', ctx.env)
    icon_cache_updated = False
    if not ctx.options.destdir:
        ctx.exec_command('gtk-update-icon-cache -q -f -t %s' % theme_dir)
        Logs.pprint('GREEN', 'GTK icon cache updated.')
        icon_cache_updated = True
    if not icon_cache_updated:
        Logs.pprint('YELLOW', 'Icon cache not updated. After install, run this:')
        Logs.pprint('YELLOW', 'gtk-update-icon-cache -q -f -t %s' % theme_dir)


def init(ctx):
    if ctx.options.list_plugins:
        listplugins(ctx)


def listplugins(ctx):
    """list plugins which can be built"""
    plugins = get_plugins()
    Logs.pprint('GREEN', 'The following targets can be chosen with the --enable-plugins option:')
    Logs.pprint('NORMAL', ' '.join(plugins))

    Logs.pprint('GREEN',
    '\nTo compile only "%(1)s" and "%(2)s", use "./waf configure --enable-plugins=%(1)s,%(2)s".' %
            {'1': plugins[0], '2': plugins[1]})
    exit(0)


def distclean(ctx):
    Scripting.distclean(ctx)
    remove_linguas_file()


def remove_linguas_file():
    # remove LINGUAS file as well
    try:
        os.unlink(LINGUAS_FILE)
    except OSError:
        pass


@feature('linguas')
def write_linguas_file(self):
    if os.path.exists(LINGUAS_FILE):
        return
    linguas = ''
    if 'LINGUAS' in self.env:
        files = self.env['LINGUAS']
        for po_filename in files.split(' '):
            if os.path.exists('po/%s.po' % po_filename):
                linguas += '%s ' % po_filename
    else:
        files = os.listdir('%s/po' % self.path.abspath())
        files.sort()
        for filename in files:
            if filename.endswith('.po'):

=== debian/changelog ===
geany-plugins (1.26+dfsg-1) unstable; urgency=medium

  [ Evgeni Golov ]
  * [a5bf5ac] Imported Upstream version 1.26~git20151108+dfsg
  * [5db055a] drop libgit_023.patch
  * [0abda4b] bump geany B-D

  [ Chow Loong Jin ]
  * [787ebdb] Add Frank's key to upstream/signing-key.asc
  * [76e4391] Use Files-Excluded and uscan instead of get-orig-source
  * [ee1e4a2] Imported Upstream version 1.26+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 25 Nov 2015 11:04:56 +0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-autoreconf (>= 4),
                autotools-dev,
                intltool (>= 0.35),
-               geany (>= 1.25~),
+               geany (>= 1.26~),
                libgtk2.0-dev (>= 2.16),
                libglib2.0-dev (>= 2.18),
                libenchant-dev (>= 1.3),

=== debian/rules ===
--- 
+++ 
@@ -96,15 +96,3 @@
 
 %:
 	dh $@ --with=autoreconf --parallel
-
-upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9a-z.~]+)(\+dfsg)?.*$$/\1/p')
-dfsg_version = $(upstream_version)+dfsg
-pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
-
-get-orig-source:
-	uscan --noconf --force-download --rename --repack --download-current-version --destdir=.
-	mkdir $(pkg)-$(dfsg_version)
-	tar --directory="$(pkg)-$(dfsg_version)" --strip-components=1 -xzf $(pkg)_$(upstream_version).orig.tar.gz
-	rm $(pkg)-$(dfsg_version)/waf
-	GZIP="-9fn --rsyncable" tar -czf $(pkg)_$(dfsg_version).orig.tar.gz $(pkg)-$(dfsg_version)
-	rm -rf $(pkg)-$(dfsg_version)

## geany-plugins 1.27+dfsg

=== debian/changelog ===
geany-plugins (1.27+dfsg-2) unstable; urgency=medium

  * [75ebffc] Drop build/cache (it's causing autoreconf to fail)
    (Closes: #819889)

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 11 Apr 2016 21:20:43 +0800

geany-plugins (1.27+dfsg-1) unstable; urgency=medium

  * [d6ab6d6] Exclude devhelp icon.
    They're old upstream icons, licensed under CC-BY-2.0 and
    not-dfsg-compatible.
  * [93a7827] Imported Upstream version 1.27+dfsg
  * [682d513] Patch devhelp to tell it where DHPLUG_DATA_DIR is

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 20 Mar 2016 20:09:51 +0800

geany-plugins (1.27-1) unstable; urgency=medium

  * [3d08475] Update list of plugins in geany-plugins deps
  * [48499dd] Imported Upstream version 1.27
  * [4c05277] d/copyright: Add lineoperations/* paragraph
  * [1e5324d] Add line operations plugin
  * [951e573] Refresh patch
  * [0234e0f] Update install files
  * [90fe8e4] Ignore /usr/share/doc/geany-plugins/
  * [185955f] Ignore .la files
  * [68057bc] Update geany-plugin-py.install.
    Upstream has relocated the python plugins to /usr/lib/$arch/geany with
    the rest of the plugins.
  * [f0897f8] Fix spelling error in package description
  * [798a693] Drop geany-plugin-gproject from main metapackage
    gproject is the transitional package for projectorganizer
  * [83bdfd0] No-change bump of Standards-Version to 3.9.7

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 14 Mar 2016 02:55:34 +0800

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
                libgit2-dev,
                python-gtk2-dev,
                valac (>= 0.7.0)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://plugins.geany.org
 Vcs-Git: git://anonscm.debian.org/pkg-geany/packages/geany-plugins.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-geany/packages/geany-plugins.git
@@ -40,6 +40,7 @@
          geany-plugin-autoclose (>= ${source:Version}),
          geany-plugin-automark (>= ${source:Version}),
          geany-plugin-codenav (>= ${source:Version}),
+         geany-plugin-commander (>= ${source:Version}),
          geany-plugin-ctags (>= ${source:Version}),
          geany-plugin-debugger (>= ${source:Version}),
          geany-plugin-defineformat (>= ${source:Version}),
@@ -54,6 +55,7 @@
          geany-plugin-lipsum (>= ${source:Version}),
          geany-plugin-lua (>= ${source:Version}),
          geany-plugin-macro (>= ${source:Version}),
+         geany-plugin-markdown (>= ${source:Version}),
          geany-plugin-miniscript (>= ${source:Version}),
          geany-plugin-multiterm (>= ${source:Version}),
          geany-plugin-numberedbookmarks (>= ${source:Version}),
@@ -64,6 +66,7 @@
          geany-plugin-prj (>= ${source:Version}),
          geany-plugin-projectorganizer (>= ${source:Version}),
          geany-plugin-py (>= ${source:Version}),
+         geany-plugin-scope (>= ${source:Version}),
          geany-plugin-sendmail (>= ${source:Version}),
          geany-plugin-tableconvert (>= ${source:Version}),
          geany-plugin-vc (>= ${source:Version}),
@@ -274,6 +277,3 @@
 Enhances: geany
 Architecture: any
 Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
-         ${shlibs:Depends}, ${misc:Depends}
-Description: documentation plugin for Geany
- Geanydoc is a plugin for the Geany IDE which is intended to be used to search

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 GEANY_VERSION = $(shell pkg-config --modversion geany)
 
 override_dh_autoreconf:
+	rm -rf build/cache
 	dh_autoreconf --as-needed
 
 # specify libexecdir to avoid cascading geany-plugins directories in /usr/lib
@@ -41,6 +42,7 @@
 		--enable-gitchangebar			\
 		--enable-gtkspell			\
 		--enable-largefile			\
+		--enable-lineoperations			\
 		--enable-markdown			\
 		--disable-peg-markdown			\
 		--enable-multiterm			\
@@ -92,7 +94,7 @@
 
 override_dh_install:
 	find debian/tmp/ -name '*.pyc' -delete
-	dh_install --list-missing
+	dh_install --list-missing -Xusr/share/doc/geany-plugins/ -X.la
 
 %:
 	dh $@ --with=autoreconf --parallel

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts=dversionmangle=s/\+dfsg(\.\d+)?$//,pgpsigurlmangle=s/$/.sig/,repacksuffix=+dfsg \
http://plugins.geany.org/geany-plugins/geany-plugins-(.*).tar.gz

## geany-plugins 1.28+dfsg

=== debian/changelog ===
geany-plugins (1.28+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 11 Sep 2016 09:37:36 +0200

geany-plugins (1.28+dfsg-1) unstable; urgency=medium

  [ Chow Loong Jin ]
  * [cea6197] Update geany-plugins dependencies (LP: #1572107)
  * [276bc98] Imported Upstream version 1.28+dfsg
  * [f91dfac] Update debian/copyright for sendmail dir rename
  * [fc093f1] Update packaging for geanysendmail rename
  * [2642703] No-change bump of Standards-Version to 3.9.8
  * [a7c1a75] Override false spelling error in extrasel

  [ Evgeni Golov ]
  * [450d312] update vcs fields
  * [e696136] drop waf from debian/copyright -- upstream stopped using waf

 -- Evgeni Golov <evgeni@debian.org>  Mon, 22 Aug 2016 20:54:29 +0200

geany-plugins (1.25+dfsg-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Evgeni Golov <evgeni@debian.org>  Tue, 03 Nov 2015 07:53:54 +0100

=== debian/control ===
--- 
+++ 
@@ -28,10 +28,10 @@
                libgit2-dev,
                python-gtk2-dev,
                valac (>= 0.7.0)
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://plugins.geany.org
-Vcs-Git: git://anonscm.debian.org/pkg-geany/packages/geany-plugins.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-geany/packages/geany-plugins.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-geany/packages/geany-plugins.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-geany/packages/geany-plugins.git
 
 Package: geany-plugins
 Architecture: all
@@ -54,12 +54,13 @@
          geany-plugin-latex (>= ${source:Version}),
          geany-plugin-lipsum (>= ${source:Version}),
          geany-plugin-lua (>= ${source:Version}),
+         geany-plugin-lineoperations (>= ${source:Version}),
          geany-plugin-macro (>= ${source:Version}),
          geany-plugin-markdown (>= ${source:Version}),
          geany-plugin-miniscript (>= ${source:Version}),
          geany-plugin-multiterm (>= ${source:Version}),
+         geany-plugin-overview (>= ${source:Version}),
          geany-plugin-numberedbookmarks (>= ${source:Version}),
-         geany-plugin-overview (>= ${source:Version}),
          geany-plugin-pairtaghighlighter (>= ${source:Version}),
          geany-plugin-pg (>= ${source:Version}),
          geany-plugin-pohelper (>= ${source:Version}),
@@ -276,4 +277,3 @@
 Package: geany-plugin-doc
 Enhances: geany
 Architecture: any
-Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 		--enable-geanypg			\
 		--enable-geanyprj			\
 		--enable-geanypy			\
-		--enable-geanysendmail			\
+		--enable-sendmail			\
 		--enable-geanyvc			\
 		--enable-geniuspaste			\
 		--enable-gitchangebar			\

## geany-plugins 1.29+dfsg

=== debian/changelog ===
geany-plugins (1.29+dfsg-1) unstable; urgency=medium

  * [2f7dee6] Imported Upstream version 1.29+dfsg
  * [da4aa95] Update copyright file geanylipsum rename
  * [c9ee1f6] Update packaging for geanylipsum rename

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 19 Nov 2016 15:35:08 +0800

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 		--enable-geanygendoc			\
 		--enable-geanyinsertnum			\
 		--enable-geanylatex			\
-		--enable-geanylipsum			\
+		--enable-lipsum				\
 		--enable-geanylua			\
 		--enable-geanymacro			\
 		--enable-geanyminiscript		\

## geany-plugins 1.31+dfsg

=== debian/changelog ===
geany-plugins (1.31+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Disable the devhelp, markdown and webhelper plugins due to
    their dependency on an obsolete WebKitGTK+ version.
    (Closes: #790201)

 -- Adrian Bunk <bunk@debian.org>  Sun, 30 Jul 2017 23:54:55 +0300

geany-plugins (1.31+dfsg-1) unstable; urgency=medium

  * [b9b8fe5] New upstream version 1.31+dfsg
  * [b28dd25] Fix spelling error (miscellanous -> miscellaneous)
  * [ab015b4] Add lintian override for FIXME in description.
    It's part of the description, not a placeholder
  * [764b33d] Add license paragraph for keyrecord/*

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 25 Jul 2017 00:55:40 +0800

geany-plugins (1.30+dfsg-1) experimental; urgency=medium

  * [c8335f2] Imported Upstream version 1.30+dfsg
  * [a5b484a] Bump geany build-dep version

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 13 Mar 2017 14:19:23 +0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-autoreconf (>= 4),
                autotools-dev,
                intltool (>= 0.35),
-               geany (>= 1.26~),
+               geany (>= 1.29~),
                libgtk2.0-dev (>= 2.16),
                libglib2.0-dev (>= 2.18),
                libenchant-dev (>= 1.3),
@@ -18,16 +18,15 @@
                python-docutils,
                libxml2-dev (>= 2.6.27),
                libsoup2.4-dev (>= 2.4.0),
-               libwebkitgtk-dev (>= 1.1.18) | libwebkit-dev (>= 1.1.18),
                libgdk-pixbuf2.0-dev (>= 2.0),
                libgpgme11-dev,
                libvte-dev (>= 1:0.24),
                libwnck-dev (>= 2.10.0),
                libgconf2-dev (>= 2.6.0),
-               libmarkdown2-dev,
                libgit2-dev,
                python-gtk2-dev,
                valac (>= 0.7.0)
+Build-Conflicts: libwebkitgtk-dev
 Standards-Version: 3.9.8
 Homepage: http://plugins.geany.org
 Vcs-Git: https://anonscm.debian.org/git/pkg-geany/packages/geany-plugins.git
@@ -44,7 +43,6 @@
          geany-plugin-ctags (>= ${source:Version}),
          geany-plugin-debugger (>= ${source:Version}),
          geany-plugin-defineformat (>= ${source:Version}),
-         geany-plugin-devhelp (>= ${source:Version}),
          geany-plugin-doc (>= ${source:Version}),
          geany-plugin-extrasel (>= ${source:Version}),
          geany-plugin-gendoc (>= ${source:Version}),
@@ -56,7 +54,6 @@
          geany-plugin-lua (>= ${source:Version}),
          geany-plugin-lineoperations (>= ${source:Version}),
          geany-plugin-macro (>= ${source:Version}),
-         geany-plugin-markdown (>= ${source:Version}),
          geany-plugin-miniscript (>= ${source:Version}),
          geany-plugin-multiterm (>= ${source:Version}),
          geany-plugin-overview (>= ${source:Version}),
@@ -76,7 +73,6 @@
          geany-plugin-spellcheck (>= ${source:Version}),
          geany-plugin-treebrowser (>= ${source:Version}),
          geany-plugin-updatechecker (>= ${source:Version}),
-         geany-plugin-webhelper (>= ${source:Version}),
          geany-plugin-xmlsnippets (>= ${source:Version}),
          ${misc:Depends}
 Description: set of plugins for Geany
@@ -109,7 +105,7 @@
 Architecture: any
 Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
          ${shlibs:Depends}, ${misc:Depends}
-Description: miscellanous plugins for Geany
+Description: miscellaneous plugins for Geany
  This plugin adds various small addons to Geany which aren't worth an
  individual plugin, but might still be useful for people.
   * DocList: This addon places a new item in the toolbar and when clicked
@@ -257,23 +253,27 @@
  Geany is a small and lightweight integrated development environment using the
  Gtk+ toolkit.
 
-Package: geany-plugin-devhelp
-Enhances: geany
-Architecture: any
-Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
-         ${shlibs:Depends}, ${misc:Depends}
-Description: DevHelp plugin for Geany
- This plugin embeds an API documentation browser and search functionality
- directly into Geany's user interface.
- .
- Devhelp is an API documentation browser mainly aimed at GNOME-related
- libraries, although there are Devhelp books for a wide range of library
- APIs. Check your package manager and/or Google and you should have no trouble
- finding books that can be viewed with Devhelp.
- .
- Geany is a small and lightweight integrated development environment using the
- GTK+ toolkit.
+#Package: geany-plugin-devhelp
+#Enhances: geany
+#Architecture: any
+#Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
+#         ${shlibs:Depends}, ${misc:Depends}
+#Description: DevHelp plugin for Geany
+# This plugin embeds an API documentation browser and search functionality
+# directly into Geany's user interface.
+# .
+# Devhelp is an API documentation browser mainly aimed at GNOME-related
+# libraries, although there are Devhelp books for a wide range of library
+# APIs. Check your package manager and/or Google and you should have no trouble
+# finding books that can be viewed with Devhelp.
+# .
+# Geany is a small and lightweight integrated development environment using the
+# GTK+ toolkit.
 
 Package: geany-plugin-doc
 Enhances: geany
 Architecture: any
+Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
+         ${shlibs:Depends}, ${misc:Depends}
+Description: documentation plugin for Geany
+ Geanydoc is a plugin for the Geany IDE which is intended to be used to search

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,6 @@
 		--enable-commander			\
 		--enable-debugger			\
 		--enable-defineformat			\
-		--enable-devhelp			\
 		--enable-geanyctags			\
 		--enable-geanydoc			\
 		--enable-geanyextrasel			\
@@ -43,7 +42,6 @@
 		--enable-gtkspell			\
 		--enable-largefile			\
 		--enable-lineoperations			\
-		--enable-markdown			\
 		--disable-peg-markdown			\
 		--enable-multiterm			\
 		--enable-overview			\
@@ -57,7 +55,6 @@
 		--enable-tableconvert			\
 		--enable-treebrowser			\
 		--enable-updatechecker			\
-		--enable-webhelper			\
 		--enable-xmlsnippets
 
 # install separate ChangeLogs for each different plugin
